<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>..\bo_strong_key_pair.snk</AssemblyOriginatorKeyFile>
    <DelaySign>false</DelaySign>
    <RootNamespace>Quadarax.Foundation.Core</RootNamespace>
    <ApplicationIcon>..\quadarax_dll.ico</ApplicationIcon>
    <Title>Quadarax.Foundation.Core</Title>
    <Authors>Dalibor Votruba</Authors>
    <Company>Quadarax</Company>
    <Product>Quadarax.Foundation</Product>
    <Description>Core library with general pattern implementations and patterns</Description>
    <Copyright>Copyright © 2023,2024 Quadarax</Copyright>
    <PackageIcon>quadarax_dll.png</PackageIcon>
    <PackageTags>QDR;FND;CORE</PackageTags>
    <AssemblyVersion>0.0.4.0</AssemblyVersion>
    <FileVersion>0.0.4.0</FileVersion>
    <Version>0.0.4.0-alpha</Version>
    <PackageReleaseNotes>Date:24.3.2024
      - add Value/Enumeration class with method GetRandom
      - add Thread/MoshPit class to process random operations
      - extends Data/IError add Timestamp property, Error implementation modified
      - extends Data/TypedArgument to use null value and valuyeType at once, add Value setter
      - add constructor to Exceptions/CodeException to support parameter message
      - add generic class Exceptions/CodeException to work with enumeration codes and messages
      - update dependencies packages (System.IO.Abstractions)
    </PackageReleaseNotes>
    <PackageReadmeFile>releasenotes.md</PackageReadmeFile>
    <Nullable>enable</Nullable>

  </PropertyGroup>

  <ItemGroup>
    <Content Include="releasenotes.md">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Data\Extensions\" />
    <Folder Include="Mapper\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\quadarax_dll.png">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.IO.Abstractions" Version="21.0.2" />
  </ItemGroup>

  <ItemGroup>
    <None Update="releasenotes.md">
      <Pack>True</Pack>
      <PackagePath>\</PackagePath>
    </None>
  </ItemGroup>

</Project>
